post
https://gamma.api.springbig.technology/pos/v1/members
Use this endpoint to create new member using the listed attributes.
Best practice: When submitting a member with a phone number or email, ensure you are following TCPA guidelines by capturing explicit consent. Be sure to include allowed_sms and allowed_email with the appropriate boolean values to reflect the user’s enrollment preferences.
Example Request
{
"member": {
"pos_user": "pos_determined_id",
"pos_type": "springbig",
"phone_number": "5135555113",
"first_name": "Cheech",
"last_name": "Marin",
"email": "[email protected]",
"address1": "321 Up In Smoke Lane",
"address2": "Apt 420",
"city": "Boca Raton",
"zip": "55555-1234",
"birthday": "2000-01-01",
"medical_card_expiration": "2000-01-01",
"referred_by": 10,
"interest_list": "baseball, also-dope-store",
"location_list": "dope-dope-store, also-dope-store",
"discount_list": "senior, veteran, human",
"custom_group_list": "group1, group2, group3",
"gender": "other",
"purpose": "recreational",
"url_encoded": true,
"allowed_email": true,
"allowed_sms":true,
"hipaa_acknowledged": true
}
}
